[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# DialogCopyToClipboard

Copies the content from the specified dialog to the clipboard.

## Declaration

Source position: dialogs.pp line 1004

`procedure DialogCopyToClipboard(`
`Self: TObject;`
`Sender: TObject;`
`var Key: Word;`
`Shift: TShiftState`
`);`

## Arguments

`Self` |  | Dialog form instance examined in the routine.
`Sender` |  | Not used in the routine.
`Key` |  | Virtual key code which initiated the operation.
`Shift` |  | Shift, Ctrl, or Alt modifier for the key code.

## Description

Content from the dialog is stored as text in the clipboard. No actions are performed in the routine if Key and Shift contain values for keys other than Ctrl+C or Ctrl+Ins. The clipboard will contain lines with the Caption and Message text for the dialog, as well as the captions (sans accelerator keys) for controls displayed on the dialog.